Passphrase string for WPA-PSK and WPA2-PSK.
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.272.4.46.13.1.13
Passphrase string for WPA-PSK and WPA2-PSK.
Identification
{1 3 6 1 4 1 272 4 46 13 1 13}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In BIANCA-BRICK-WIRELESS-MIB, the row index wlanClientwlanIf is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.272.4.46.13.1.13.<wlanClientwlanIf>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.272.4.46.13.1.13
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
wlanClientPassPhrase OBJECT-TYPE
SYNTAX OCTET STRING (SIZE(0..64))
MAX-ACCESS read-write
STATUS current
DESCRIPTION
"Passphrase string for WPA-PSK and WPA2-PSK."
DEFVAL { "" }
::= { wlanClientEntry 13 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Passphrase string for WPA-PSK and WPA2-PSK.
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: current.
Names: wlanClientPassPhrase
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"wlanClientPassPhrase",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"(",
"SIZE",
"(",
"0",
".",
".",
"64",
")",
")",
"MAX-ACCESS",
"read-write",
"STATUS",
"current",
"DESCRIPTION",
"\"Passphrase string for WPA-PSK and WPA2-PSK.\"",
"DEFVAL",
"{",
[
"literal",
"2222"
],
"}",
"::=",
"{",
"wlanClientEntry",
"13",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING",
[
"octetStringSubType",
[
[
0,
64
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"Passphrase string for WPA-PSK and WPA2-PSK."
],
null,
null,
null,
[
"DEFVAL",
"\"\""
]
]
}Vendor MIB copy from the Observium Community archive.
Module: BIANCA-BRICK-WIRELESS-MIB
See published definition above
{'IF-MIB': ['ifIndex'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['MacAddress', 'DisplayString', 'TruthValue', 'RowStatus'], 'BINTEC-MIB': ['bibo', 'wlan', 'BitValue', 'Date', 'HexValue'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Counter32', 'Counter64', 'TimeTicks', 'Unsigned32'], 'RFC1155-SMI': ['IpAddress', 'enterprises'], 'SNMPv2-CONF': ['MODULE-COMPLIANCE', 'OBJECT-GROUP', 'NOTIFICATION-GROUP']}Related source files and packages:
Registration